Permit sorting of categories via drag-and-drop
Closed, ResolvedPublic

Description

Several editors at English Wikipedia have asked if VE can permit rearrangement of categories to allow the standard: "Normally the most essential, significant categories appear first."


Version: unspecified
Severity: enhancement

bzimport set Reference to bz50809.
Mdennis-WMF created this task.Via LegacyJul 5 2013, 3:38 PM
Jdforrester-WMF added a comment.Via ConduitJul 7 2013, 12:28 AM

Note that it is possible, albeit rather clunky and laborious, to move an existing category to the end, by typing some of its name in to the "add category" option and then selecting "move category to end".

However, a proper category-reorderer system in the category editor is definitely something we should build; I'm enamoured of the idea of a drag-and-drop functionality for this, though happy to listen to alternative ideas.

Krenair added a comment.Via ConduitNov 17 2014, 1:44 AM

Is this Gerrit change 173360 ?

Jdforrester-WMF added a comment.Via ConduitNov 17 2014, 5:22 PM

(In reply to Alex Monk from comment #2)

Is this Gerrit change #173360 ?

Yes.

gerritbot added a comment.Via ConduitNov 18 2014, 9:37 PM

Change 173360 had a related patch set uploaded by Alex Monk:
[WIP] Make category widget items draggable

https://gerrit.wikimedia.org/r/173360

Jdforrester-WMF moved this task to Doing on the VisualEditor workboard.Via WebNov 23 2014, 11:02 PM
Jdforrester-WMF assigned this task to Krenair.Via WebNov 24 2014, 12:48 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF changed the title from "VisualEditor: Permit sorting of categories (drag-and-drop?)" to "Permit sorting of categories via drag-and-drop".Via WebNov 24 2014, 3:49 PM
Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebJan 15 2015, 12:10 AM
Jdforrester-WMF moved this task to Done on the VisualEditor workboard.Via WebFri, Feb 6, 12:07 AM
Jdforrester-WMF closed this task as "Resolved".Via WebFri, Feb 6, 12:30 AM
Etonkovidova added a subscriber: Etonkovidova.Via WebTue, Feb 10, 7:47 PM

Checked in betalabs.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.